Package com.sap.ai.sdk.core.model

# Class MetaAiApiLimits

java.lang.Object
com.sap.ai.sdk.core.model.MetaAiApiLimits

public class MetaAiApiLimits extends Object
MetaAiApiLimits

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `MetaAiApiLimits()`
  Default constructor for MetaAiApiLimits.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetaAiApiLimits`
  `create()`
  Create a new `MetaAiApiLimits` instance.
  `MetaAiApiLimits`
  `deployments(MetaAiApiLimitsDeployments deployments)`
  Set the deployments of this `MetaAiApiLimits` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `MetaAiApiLimits`
  `executions(MetaAiApiLimitsExecutions executions)`
  Set the executions of this `MetaAiApiLimits` instance and return the same instance.
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `MetaAiApiLimits`.
  `MetaAiApiLimitsDeployments`
  `getDeployments()`
  Get deployments
  `MetaAiApiLimitsExecutions`
  `getExecutions()`
  Get executions
  `MetaAiApiLimitsTimeToLiveDeployments`
  `getTimeToLiveDeployments()`
  Get timeToLiveDeployments
  `int`
  `hashCode()`
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `MetaAiApiLimits` instance.
  `void`
  `setDeployments(MetaAiApiLimitsDeployments deployments)`
  Set the deployments of this `MetaAiApiLimits` instance.
  `void`
  `setExecutions(MetaAiApiLimitsExecutions executions)`
  Set the executions of this `MetaAiApiLimits` instance.
  `void`
  `setTimeToLiveDeployments(MetaAiApiLimitsTimeToLiveDeployments timeToLiveDeployments)`
  Set the timeToLiveDeployments of this `MetaAiApiLimits` instance.
  `MetaAiApiLimits`
  `timeToLiveDeployments(MetaAiApiLimitsTimeToLiveDeployments timeToLiveDeployments)`
  Set the timeToLiveDeployments of this `MetaAiApiLimits` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `MetaAiApiLimits` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MetaAiApiLimits

    protected MetaAiApiLimits()
    Default constructor for MetaAiApiLimits.

- ## Method Details

  - ### executions

    @Nonnull public MetaAiApiLimits executions(@Nullable MetaAiApiLimitsExecutions executions)
    Set the executions of this `MetaAiApiLimits` instance and return the same instance.
    Parameters:
      `executions` - The executions of this `MetaAiApiLimits`
    Returns:
      The same instance of this `MetaAiApiLimits` class

  - ### getExecutions

    @Nonnull public MetaAiApiLimitsExecutions getExecutions()
    Get executions
    Returns:
      executions The executions of this `MetaAiApiLimits` instance.

  - ### setExecutions

    public void setExecutions(@Nullable MetaAiApiLimitsExecutions executions)
    Set the executions of this `MetaAiApiLimits` instance.
    Parameters:
      `executions` - The executions of this `MetaAiApiLimits`

  - ### deployments

    @Nonnull public MetaAiApiLimits deployments(@Nullable MetaAiApiLimitsDeployments deployments)
    Set the deployments of this `MetaAiApiLimits` instance and return the same instance.
    Parameters:
      `deployments` - The deployments of this `MetaAiApiLimits`
    Returns:
      The same instance of this `MetaAiApiLimits` class

  - ### getDeployments

    @Nonnull public MetaAiApiLimitsDeployments getDeployments()
    Get deployments
    Returns:
      deployments The deployments of this `MetaAiApiLimits` instance.

  - ### setDeployments

    public void setDeployments(@Nullable MetaAiApiLimitsDeployments deployments)
    Set the deployments of this `MetaAiApiLimits` instance.
    Parameters:
      `deployments` - The deployments of this `MetaAiApiLimits`

  - ### timeToLiveDeployments

    @Nonnull public MetaAiApiLimits timeToLiveDeployments(@Nullable MetaAiApiLimitsTimeToLiveDeployments timeToLiveDeployments)
    Set the timeToLiveDeployments of this `MetaAiApiLimits` instance and return the same instance.
    Parameters:
      `timeToLiveDeployments` - The timeToLiveDeployments of this `MetaAiApiLimits`
    Returns:
      The same instance of this `MetaAiApiLimits` class

  - ### getTimeToLiveDeployments

    @Nonnull public MetaAiApiLimitsTimeToLiveDeployments getTimeToLiveDeployments()
    Get timeToLiveDeployments
    Returns:
      timeToLiveDeployments The timeToLiveDeployments of this `MetaAiApiLimits` instance.

  - ### setTimeToLiveDeployments

    public void setTimeToLiveDeployments(@Nullable MetaAiApiLimitsTimeToLiveDeployments timeToLiveDeployments)
    Set the timeToLiveDeployments of this `MetaAiApiLimits` instance.
    Parameters:
      `timeToLiveDeployments` - The timeToLiveDeployments of this `MetaAiApiLimits`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `MetaAiApiLimits`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `MetaAiApiLimits` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `MetaAiApiLimits` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `MetaAiApiLimits` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static MetaAiApiLimits create()
    Create a new `MetaAiApiLimits` instance. No arguments are required.